: Interface TextEditable

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.widgets
Interface TextEditable

All Known Implementing Classes:
  IPTextField

public interface TextEditable

Editable interface

Method Summary
`void` | `addActionListener(java.awt.event.ActionListener al)` Adds the specified action listener to recieve action events from this interface.
`java.lang.String` | `getText()` Gets the text that is presented by this interface.
`void` | `removeActionListener(java.awt.event.ActionListener al)` Removes the specified action listener so that it no longer receives action events from interface.
`void` | `setDefault()` Sets the text at its default value
`void` | `setText(java.lang.String text)` Sets the text that is presented by this interface to be the specified text.
`boolean` | `updated()` Check if the current text value and the default value are different.

Method Detail

### setText

    public void setText(java.lang.String text)

  Sets the text that is presented by this interface to be the specified text.
  Parameters:
    `text` - - the new text

### getText

    public java.lang.String getText()

  Gets the text that is presented by this interface.

### updated

    public boolean updated()

  Check if the current text value and the default value are different.

### setDefault

    public void setDefault()

  Sets the text at its default value

### addActionListener

    public void addActionListener(java.awt.event.ActionListener al)

  Adds the specified action listener to recieve action events from this interface.
  Parameters:
    `al` - - the action listener.

### removeActionListener

    public void removeActionListener(java.awt.event.ActionListener al)

  Removes the specified action listener so that it no longer receives action events from interface.
  Parameters:
    `al` - - the action listener.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD